# PerformanceWatchdog

#### new Cesium.PerformanceWatchdog(options)
Widgets/PerformanceWatchdog/PerformanceWatchdog.js 21

Monitors performance of the application and displays a message if poor performance is detected.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`container` | Element | String |  | The DOM element or ID that will contain the widget.
`scene` | Scene |  | The `Scene` for which to monitor performance.
`lowFrameRateMessage` | String | `'This application appears to be performing poorly on your system. Please try using a different web browser or updating your video drivers.'` | optional The message to display when a low frame rate is detected. The message is interpeted as HTML, so make sure it comes from a trusted source so that your application is not vulnerable to cross-site scripting attacks.

### Members

#### container : Element
Widgets/PerformanceWatchdog/PerformanceWatchdog.js 67

Gets the parent container.

#### viewModel : PerformanceWatchdogViewModel
Widgets/PerformanceWatchdog/PerformanceWatchdog.js 79

Gets the view model.

### Methods

#### destroy()
Widgets/PerformanceWatchdog/PerformanceWatchdog.js 99

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/PerformanceWatchdog/PerformanceWatchdog.js 90

##### Returns:

true if the object has been destroyed, false otherwise.